Subject: Re: bug#38164: quit-restore-window doesn't restore point in man

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Nov 2019 19:36:14 +0200

> Cc: [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 19 Nov 2019 17:53:29 +0100
> 
>  >>   > Because that's what quitting help does?  If you don't want this, just
>  >>   > don't quit; you can simply leave the windows as they were and
>  >>   > continue.
>  >>
>  >> IIUC Juri doesn't want to quit help.  He wants to leave the
>  >> minibuffer, maybe for running another command.
>  >
>  > Apologies if I was confused, but Juri explicitly asked about "quitting
>  > the minibuffer".
> 
> Quitting help should never destroy a window layout these days.  If it
> did, we'd have a bug.

Sounds like there's some misunderstanding.  What I mean is this:

  emacs -Q
  C-h f find-file RET (any function will do)
  C-x o
  q

The last 'q' command deletes the window showing *Help*, and that is
what I call "quitting help".  I believe Emacs behaved like that since
time immemoriam.